Show / Hide Table of Contents

# Class DalamudStartInfo

Class containing information needed to initialize Dalamud.

##### Inheritance

System.Object
DalamudStartInfo

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud

###### Assembly: Dalamud.dll

##### Syntax

    [Serializable]
    public sealed class DalamudStartInfo

### Fields

| Improve this Doc View Source

#### AssetDirectory

The path to core Dalamud assets.

##### Declaration

    public string AssetDirectory

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ConfigurationPath

The path to the configuration file.

##### Declaration

    public string ConfigurationPath

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DefaultPluginDirectory

The path to the directory for developer plugins.

##### Declaration

    public string DefaultPluginDirectory

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### GameVersion

The current game version code.

##### Declaration

    public string GameVersion

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Language

The language of the game client.

##### Declaration

    public ClientLanguage Language

##### Field Value

Type | Description
--- | ---
ClientLanguage |

| Improve this Doc View Source

#### OptOutMbCollection

Whether or not market board information should be uploaded by default.

##### Declaration

    public bool OptOutMbCollection

##### Field Value

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### PluginDirectory

The path to the directory for installed plugins.

##### Declaration

    public string PluginDirectory

##### Field Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### WorkingDirectory

The working directory of the XIVLauncher installations.

##### Declaration

    public string WorkingDirectory

##### Field Value

Type | Description
--- | ---
System.String |